## suricata 8.0.0

=== suricata-update/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# suricata-update/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/suricata
pkgincludedir = $(includedir)/suricata
pkglibdir = $(libdir)/suricata
pkglibexecdir = $(libexecdir)/suricata
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = suricata-update
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/autoconf.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/builds/dev/suricata/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/builds/dev/suricata/missing' autoconf
AUTOHEADER = ${SHELL} '/builds/dev/suricata/missing' autoheader
AUTOMAKE = ${SHELL} '/builds/dev/suricata/missing' automake-1.16
AWK = mawk
BINDGEN = no
CARGO = /root/.cargo/bin/cargo
CARGO_BUILD_TARGET = 
CARGO_HOME = /root/.cargo
CBINDGEN = /root/.cargo/bin/cbindgen
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -fPIC -DOS_LINUX -std=c11 -march=native -I${srcdir}/../rust/gen -I${srcdir}/../rust/dist -I../rust/gen
CLANG = 
CLANG_CFLAGS = 
CONFIGURE_DATAROOTDIR = /usr/local/share
CONFIGURE_LOCALSTATEDIR = /usr/local/var
CONFIGURE_PREFIX = /usr/local
CONFIGURE_SYSCONDIR = /usr/local/etc
CPP = gcc -E
CPPFLAGS =  -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include  -D__SCFILENAME__=\"$(*F)\"
CSCOPE = cscope
CTAGS = ctags
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
GREP = /usr/bin/grep
HAVE_COCCINELLE_CONFIG = no
HAVE_CURL = /usr/bin/curl
HAVE_CYGPATH = no
HAVE_GETCONF_CMD = /usr/bin/getconf
HAVE_GIT_CMD = /usr/bin/git
HAVE_PCAP_CONFIG = 
HAVE_PDFLATEX = /usr/bin/pdflatex
HAVE_PKG_CONFIG = /usr/bin/pkg-config
HAVE_PYTHON = /usr/bin/python3
HAVE_WGET = no
HWLOC_CFLAGS = 
HWLOC_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -rdynamic
LIBOBJS = 
LIBS = \
	suricata/__init__.py \
	suricata/update/commands/__init__.py \
	suricata/update/commands/addsource.py \
	suricata/update/commands/checkversions.py \
	suricata/update/commands/disablesource.py \
	suricata/update/commands/enablesource.py \
	suricata/update/commands/listsources.py \
	suricata/update/commands/removesource.py \
	suricata/update/commands/updatesources.py \
	suricata/update/compat/__init__.py \
	suricata/update/compat/ordereddict.py \
	suricata/update/compat/argparse/__init__.py \
	suricata/update/compat/argparse/argparse.py \
	suricata/update/configs/__init__.py \
	suricata/update/config.py \
	suricata/update/data/__init__.py \
	suricata/update/data/index.py \
	suricata/update/data/update.py \
	suricata/update/__init__.py \
	suricata/update/engine.py \
	suricata/update/exceptions.py \
	suricata/update/extract.py \
	suricata/update/loghandler.py \
	suricata/update/main.py \
	suricata/update/maps.py \
	suricata/update/matchers.py \
	suricata/update/net.py \
	suricata/update/notes.py \
	suricata/update/osinfo.py \
	suricata/update/parsers.py \
	suricata/update/rule.py \
	suricata/update/sources.py \
	suricata/update/util.py \
	suricata/update/version.py

LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_FUZZING_ENGINE = 
LIPO = 
LLC = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAJOR_MINOR = 8.0
MAKEINFO = ${SHELL} '/builds/dev/suricata/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NDPI_LIB = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPTIMIZATION_CFLAGS = -march=native
OTOOL = 
OTOOL64 = 
PACKAGE = suricata
PACKAGE_BUGREPORT = 
PACKAGE_NAME = suricata
PACKAGE_STRING = suricata 8.0.0
PACKAGE_TARNAME = suricata
PACKAGE_URL = 
PACKAGE_VERSION = 8.0.0
PATH_SEPARATOR = :
PCAP_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include 
PCAP_LIBS = -lpcap 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POW_LIB = 
RANLIB = ranlib
RELEASE_DATE = 2025-07-08
RUSTC = /root/.cargo/bin/rustc
RUSTUP_HOME_PATH = /root/.rustup
RUST_FEATURES = 
RUST_LDADD = -ldl -lrt -lm
RUST_SURICATA_LIB = ../rust/target/release/libsuricata_rust.a
RUST_SURICATA_LIBDIR = ../rust/target/release
RUST_SURICATA_LIBNAME = libsuricata_rust.a
SECCFLAGS = 
SECLDFLAGS = 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
SPHINX_BUILD = /usr/bin/sphinx-build
STRIP = strip
SURICATA_UPDATE_DIR = suricata-update
VERSION = 8.0.0
abs_builddir = /builds/dev/suricata/suricata-update
abs_srcdir = /builds/dev/suricata/suricata-update
abs_top_builddir = /builds/dev/suricata
abs_top_srcdir = /builds/dev/suricata
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
e_datadir = /usr/local/var/lib/suricata/data
e_datarulesdir = /usr/local/share/suricata/rules
e_defaultruledir = /usr/local/var/lib/suricata/rules
e_enable_evelog = yes
e_localstatedir = /usr/local/var/run/suricata
e_logcertsdir = /usr/local/var/log/suricata/certs
e_logdir = /usr/local/var/log/suricata/
e_logfilesdir = /usr/local/var/log/suricata/files
e_magic_file = 
e_magic_file_comment = #
e_rundir = /usr/local/var/run/
e_rustdir = /builds/dev/suricata/rust
e_sghcachedir = /usr/local/var/lib/suricata/cache/sgh
e_sysconfdir = /usr/local/etc/suricata/
exec_prefix = ${prefix}
have_rustup = /root/.cargo/bin/rustup
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /builds/dev/suricata/install-sh
install_suricata_update_reason = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libhs_CFLAGS = 
libhs_LIBS = 
libnetfilter_queue_CFLAGS = 
libnetfilter_queue_LIBS = 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
napatech_comment = #
ndpi_comment = #
oldincludedir = /usr/include
pdfdir = ${docdir}
pfring_comment = #
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
rust_vendor_comment = # 
rustup_home = RUSTUP_HOME=$(RUSTUP_HOME_PATH)
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
CONFIGS = \
	suricata/update/configs/disable.conf \
	suricata/update/configs/drop.conf \
	suricata/update/configs/enable.conf \
	suricata/update/configs/modify.conf \
	suricata/update/configs/threshold.in \
	suricata/update/configs/update.yaml

BINS = suricata-update
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu suricata-update/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu suricata-update/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

=== rust/htp/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# rust/htp/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/suricata
pkgincludedir = $(includedir)/suricata
pkglibdir = $(libdir)/suricata
pkglibexecdir = $(libexecdir)/suricata
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = rust/htp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/autoconf.h
CONFIG_CLEAN_FILES = Cargo.toml
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Cargo.toml.in $(srcdir)/Makefile.in \
	README.md
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/builds/dev/suricata/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/builds/dev/suricata/missing' autoconf
AUTOHEADER = ${SHELL} '/builds/dev/suricata/missing' autoheader
AUTOMAKE = ${SHELL} '/builds/dev/suricata/missing' automake-1.16
AWK = mawk
BINDGEN = no
CARGO = /root/.cargo/bin/cargo
CARGO_BUILD_TARGET = 
CARGO_HOME = /root/.cargo
CBINDGEN = /root/.cargo/bin/cbindgen
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -fPIC -DOS_LINUX -std=c11 -march=native -I${srcdir}/../rust/gen -I${srcdir}/../rust/dist -I../rust/gen
CLANG = 
CLANG_CFLAGS = 
CONFIGURE_DATAROOTDIR = /usr/local/share
CONFIGURE_LOCALSTATEDIR = /usr/local/var
CONFIGURE_PREFIX = /usr/local
CONFIGURE_SYSCONDIR = /usr/local/etc
CPP = gcc -E
CPPFLAGS =  -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include  -D__SCFILENAME__=\"$(*F)\"
CSCOPE = cscope
CTAGS = ctags
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
GREP = /usr/bin/grep
HAVE_COCCINELLE_CONFIG = no
HAVE_CURL = /usr/bin/curl
HAVE_CYGPATH = no
HAVE_GETCONF_CMD = /usr/bin/getconf
HAVE_GIT_CMD = /usr/bin/git
HAVE_PCAP_CONFIG = 
HAVE_PDFLATEX = /usr/bin/pdflatex
HAVE_PKG_CONFIG = /usr/bin/pkg-config
HAVE_PYTHON = /usr/bin/python3
HAVE_WGET = no
HWLOC_CFLAGS = 
HWLOC_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -rdynamic
LIBOBJS = 
LIBS = -llz4 -lmagic -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lpcre2-8  -lz -lpcap 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_FUZZING_ENGINE = 
LIPO = 
LLC = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAJOR_MINOR = 8.0
MAKEINFO = ${SHELL} '/builds/dev/suricata/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NDPI_LIB = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPTIMIZATION_CFLAGS = -march=native
OTOOL = 
OTOOL64 = 
PACKAGE = suricata
PACKAGE_BUGREPORT = 
PACKAGE_NAME = suricata
PACKAGE_STRING = suricata 8.0.0
PACKAGE_TARNAME = suricata
PACKAGE_URL = 
PACKAGE_VERSION = 8.0.0
PATH_SEPARATOR = :
PCAP_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include 
PCAP_LIBS = -lpcap 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POW_LIB = 
RANLIB = ranlib
RELEASE_DATE = 2025-07-08
RUSTC = /root/.cargo/bin/rustc
RUSTUP_HOME_PATH = /root/.rustup
RUST_FEATURES = 
RUST_LDADD = -ldl -lrt -lm
RUST_SURICATA_LIB = ../rust/target/release/libsuricata_rust.a
RUST_SURICATA_LIBDIR = ../rust/target/release
RUST_SURICATA_LIBNAME = libsuricata_rust.a
SECCFLAGS = 
SECLDFLAGS = 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
SPHINX_BUILD = /usr/bin/sphinx-build
STRIP = strip
SURICATA_UPDATE_DIR = suricata-update
VERSION = 8.0.0
abs_builddir = /builds/dev/suricata/rust/htp
abs_srcdir = /builds/dev/suricata/rust/htp
abs_top_builddir = /builds/dev/suricata
abs_top_srcdir = /builds/dev/suricata
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
e_datadir = /usr/local/var/lib/suricata/data
e_datarulesdir = /usr/local/share/suricata/rules
e_defaultruledir = /usr/local/var/lib/suricata/rules
e_enable_evelog = yes
e_localstatedir = /usr/local/var/run/suricata
e_logcertsdir = /usr/local/var/log/suricata/certs
e_logdir = /usr/local/var/log/suricata/
e_logfilesdir = /usr/local/var/log/suricata/files
e_magic_file = 
e_magic_file_comment = #
e_rundir = /usr/local/var/run/
e_rustdir = /builds/dev/suricata/rust
e_sghcachedir = /usr/local/var/lib/suricata/cache/sgh
e_sysconfdir = /usr/local/etc/suricata/
exec_prefix = ${prefix}
have_rustup = /root/.cargo/bin/rustup
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /builds/dev/suricata/install-sh
install_suricata_update_reason = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libhs_CFLAGS = 
libhs_LIBS = 
libnetfilter_queue_CFLAGS = 
libnetfilter_queue_LIBS = 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
napatech_comment = #
ndpi_comment = #
oldincludedir = /usr/include
pdfdir = ${docdir}
pfring_comment = #
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
rust_vendor_comment = # 
rustup_home = RUSTUP_HOME=$(RUSTUP_HOME_PATH)
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = Cargo.toml
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu rust/htp/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu rust/htp/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
Cargo.toml: $(top_builddir)/config.status $(srcdir)/Cargo.toml.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

=== rust/suricatactl/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# rust/suricatactl/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/suricata
pkgincludedir = $(includedir)/suricata
pkglibdir = $(libdir)/suricata
pkglibexecdir = $(libexecdir)/suricata
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = rust/suricatactl
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/autoconf.h
CONFIG_CLEAN_FILES = Cargo.toml
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Cargo.toml.in $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/builds/dev/suricata/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/builds/dev/suricata/missing' autoconf
AUTOHEADER = ${SHELL} '/builds/dev/suricata/missing' autoheader
AUTOMAKE = ${SHELL} '/builds/dev/suricata/missing' automake-1.16
AWK = mawk
BINDGEN = no
CARGO = /root/.cargo/bin/cargo
CARGO_BUILD_TARGET = 
CARGO_HOME = /root/.cargo
CBINDGEN = /root/.cargo/bin/cbindgen
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -fPIC -DOS_LINUX -std=c11 -march=native -I${srcdir}/../rust/gen -I${srcdir}/../rust/dist -I../rust/gen
CLANG = 
CLANG_CFLAGS = 
CONFIGURE_DATAROOTDIR = /usr/local/share
CONFIGURE_LOCALSTATEDIR = /usr/local/var
CONFIGURE_PREFIX = /usr/local
CONFIGURE_SYSCONDIR = /usr/local/etc
CPP = gcc -E
CPPFLAGS =  -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include  -D__SCFILENAME__=\"$(*F)\"
CSCOPE = cscope
CTAGS = ctags
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
GREP = /usr/bin/grep
HAVE_COCCINELLE_CONFIG = no
HAVE_CURL = /usr/bin/curl
HAVE_CYGPATH = no
HAVE_GETCONF_CMD = /usr/bin/getconf
HAVE_GIT_CMD = /usr/bin/git
HAVE_PCAP_CONFIG = 
HAVE_PDFLATEX = /usr/bin/pdflatex
HAVE_PKG_CONFIG = /usr/bin/pkg-config
HAVE_PYTHON = /usr/bin/python3
HAVE_WGET = no
HWLOC_CFLAGS = 
HWLOC_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -rdynamic
LIBOBJS = 
LIBS = -llz4 -lmagic -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lpcre2-8  -lz -lpcap 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_FUZZING_ENGINE = 
LIPO = 
LLC = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAJOR_MINOR = 8.0
MAKEINFO = ${SHELL} '/builds/dev/suricata/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NDPI_LIB = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPTIMIZATION_CFLAGS = -march=native
OTOOL = 
OTOOL64 = 
PACKAGE = suricata
PACKAGE_BUGREPORT = 
PACKAGE_NAME = suricata
PACKAGE_STRING = suricata 8.0.0
PACKAGE_TARNAME = suricata
PACKAGE_URL = 
PACKAGE_VERSION = 8.0.0
PATH_SEPARATOR = :
PCAP_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include 
PCAP_LIBS = -lpcap 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POW_LIB = 
RANLIB = ranlib
RELEASE_DATE = 2025-07-08
RUSTC = /root/.cargo/bin/rustc
RUSTUP_HOME_PATH = /root/.rustup
RUST_FEATURES = 
RUST_LDADD = -ldl -lrt -lm
RUST_SURICATA_LIB = ../rust/target/release/libsuricata_rust.a
RUST_SURICATA_LIBDIR = ../rust/target/release
RUST_SURICATA_LIBNAME = libsuricata_rust.a
SECCFLAGS = 
SECLDFLAGS = 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
SPHINX_BUILD = /usr/bin/sphinx-build
STRIP = strip
SURICATA_UPDATE_DIR = suricata-update
VERSION = 8.0.0
abs_builddir = /builds/dev/suricata/rust/suricatactl
abs_srcdir = /builds/dev/suricata/rust/suricatactl
abs_top_builddir = /builds/dev/suricata
abs_top_srcdir = /builds/dev/suricata
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
e_datadir = /usr/local/var/lib/suricata/data
e_datarulesdir = /usr/local/share/suricata/rules
e_defaultruledir = /usr/local/var/lib/suricata/rules
e_enable_evelog = yes
e_localstatedir = /usr/local/var/run/suricata
e_logcertsdir = /usr/local/var/log/suricata/certs
e_logdir = /usr/local/var/log/suricata/
e_logfilesdir = /usr/local/var/log/suricata/files
e_magic_file = 
e_magic_file_comment = #
e_rundir = /usr/local/var/run/
e_rustdir = /builds/dev/suricata/rust
e_sghcachedir = /usr/local/var/lib/suricata/cache/sgh
e_sysconfdir = /usr/local/etc/suricata/
exec_prefix = ${prefix}
have_rustup = /root/.cargo/bin/rustup
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /builds/dev/suricata/install-sh
install_suricata_update_reason = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libhs_CFLAGS = 
libhs_LIBS = 
libnetfilter_queue_CFLAGS = 
libnetfilter_queue_LIBS = 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
napatech_comment = #
ndpi_comment = #
oldincludedir = /usr/include
pdfdir = ${docdir}
pfring_comment = #
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
rust_vendor_comment = # 
rustup_home = RUSTUP_HOME=$(RUSTUP_HOME_PATH)
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = Cargo.toml
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu rust/suricatactl/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu rust/suricatactl/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
Cargo.toml: $(top_builddir)/config.status $(srcdir)/Cargo.toml.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

=== rust/suricatasc/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# rust/suricatasc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/suricata
pkgincludedir = $(includedir)/suricata
pkglibdir = $(libdir)/suricata
pkglibexecdir = $(libexecdir)/suricata
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = rust/suricatasc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/autoconf.h
CONFIG_CLEAN_FILES = Cargo.toml
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Cargo.toml.in $(srcdir)/Makefile.in \
	README.md
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/builds/dev/suricata/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/builds/dev/suricata/missing' autoconf
AUTOHEADER = ${SHELL} '/builds/dev/suricata/missing' autoheader
AUTOMAKE = ${SHELL} '/builds/dev/suricata/missing' automake-1.16
AWK = mawk
BINDGEN = no
CARGO = /root/.cargo/bin/cargo
CARGO_BUILD_TARGET = 
CARGO_HOME = /root/.cargo
CBINDGEN = /root/.cargo/bin/cbindgen
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -fPIC -DOS_LINUX -std=c11 -march=native -I${srcdir}/../rust/gen -I${srcdir}/../rust/dist -I../rust/gen
CLANG = 
CLANG_CFLAGS = 
CONFIGURE_DATAROOTDIR = /usr/local/share
CONFIGURE_LOCALSTATEDIR = /usr/local/var
CONFIGURE_PREFIX = /usr/local
CONFIGURE_SYSCONDIR = /usr/local/etc
CPP = gcc -E
CPPFLAGS =  -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include  -D__SCFILENAME__=\"$(*F)\"
CSCOPE = cscope
CTAGS = ctags
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
GREP = /usr/bin/grep
HAVE_COCCINELLE_CONFIG = no
HAVE_CURL = /usr/bin/curl
HAVE_CYGPATH = no
HAVE_GETCONF_CMD = /usr/bin/getconf
HAVE_GIT_CMD = /usr/bin/git
HAVE_PCAP_CONFIG = 
HAVE_PDFLATEX = /usr/bin/pdflatex
HAVE_PKG_CONFIG = /usr/bin/pkg-config
HAVE_PYTHON = /usr/bin/python3
HAVE_WGET = no
HWLOC_CFLAGS = 
HWLOC_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -rdynamic
LIBOBJS = 
LIBS = -llz4 -lmagic -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lpcre2-8  -lz -lpcap 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_FUZZING_ENGINE = 
LIPO = 
LLC = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAJOR_MINOR = 8.0
MAKEINFO = ${SHELL} '/builds/dev/suricata/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NDPI_LIB = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPTIMIZATION_CFLAGS = -march=native
OTOOL = 
OTOOL64 = 
PACKAGE = suricata
PACKAGE_BUGREPORT = 
PACKAGE_NAME = suricata
PACKAGE_STRING = suricata 8.0.0
PACKAGE_TARNAME = suricata
PACKAGE_URL = 
PACKAGE_VERSION = 8.0.0
PATH_SEPARATOR = :
PCAP_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include 
PCAP_LIBS = -lpcap 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POW_LIB = 
RANLIB = ranlib
RELEASE_DATE = 2025-07-08
RUSTC = /root/.cargo/bin/rustc
RUSTUP_HOME_PATH = /root/.rustup
RUST_FEATURES = 
RUST_LDADD = -ldl -lrt -lm
RUST_SURICATA_LIB = ../rust/target/release/libsuricata_rust.a
RUST_SURICATA_LIBDIR = ../rust/target/release
RUST_SURICATA_LIBNAME = libsuricata_rust.a
SECCFLAGS = 
SECLDFLAGS = 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
SPHINX_BUILD = /usr/bin/sphinx-build
STRIP = strip
SURICATA_UPDATE_DIR = suricata-update
VERSION = 8.0.0
abs_builddir = /builds/dev/suricata/rust/suricatasc
abs_srcdir = /builds/dev/suricata/rust/suricatasc
abs_top_builddir = /builds/dev/suricata
abs_top_srcdir = /builds/dev/suricata
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
e_datadir = /usr/local/var/lib/suricata/data
e_datarulesdir = /usr/local/share/suricata/rules
e_defaultruledir = /usr/local/var/lib/suricata/rules
e_enable_evelog = yes
e_localstatedir = /usr/local/var/run/suricata
e_logcertsdir = /usr/local/var/log/suricata/certs
e_logdir = /usr/local/var/log/suricata/
e_logfilesdir = /usr/local/var/log/suricata/files
e_magic_file = 
e_magic_file_comment = #
e_rundir = /usr/local/var/run/
e_rustdir = /builds/dev/suricata/rust
e_sghcachedir = /usr/local/var/lib/suricata/cache/sgh
e_sysconfdir = /usr/local/etc/suricata/
exec_prefix = ${prefix}
have_rustup = /root/.cargo/bin/rustup
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /builds/dev/suricata/install-sh
install_suricata_update_reason = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libhs_CFLAGS = 
libhs_LIBS = 
libnetfilter_queue_CFLAGS = 
libnetfilter_queue_LIBS = 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
napatech_comment = #
ndpi_comment = #
oldincludedir = /usr/include
pdfdir = ${docdir}
pfring_comment = #
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
rust_vendor_comment = # 
rustup_home = RUSTUP_HOME=$(RUSTUP_HOME_PATH)
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = Cargo.toml
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu rust/suricatasc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu rust/suricatasc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
Cargo.toml: $(top_builddir)/config.status $(srcdir)/Cargo.toml.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

=== rust/sys/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# rust/sys/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/suricata
pkgincludedir = $(includedir)/suricata
pkglibdir = $(libdir)/suricata
pkglibexecdir = $(libexecdir)/suricata
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = rust/sys
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/autoconf.h
CONFIG_CLEAN_FILES = Cargo.toml
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Cargo.toml.in $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/builds/dev/suricata/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/builds/dev/suricata/missing' autoconf
AUTOHEADER = ${SHELL} '/builds/dev/suricata/missing' autoheader
AUTOMAKE = ${SHELL} '/builds/dev/suricata/missing' automake-1.16
AWK = mawk
BINDGEN = no
CARGO = /root/.cargo/bin/cargo
CARGO_BUILD_TARGET = 
CARGO_HOME = /root/.cargo
CBINDGEN = /root/.cargo/bin/cbindgen
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -fPIC -DOS_LINUX -std=c11 -march=native -I${srcdir}/../rust/gen -I${srcdir}/../rust/dist -I../rust/gen
CLANG = 
CLANG_CFLAGS = 
CONFIGURE_DATAROOTDIR = /usr/local/share
CONFIGURE_LOCALSTATEDIR = /usr/local/var
CONFIGURE_PREFIX = /usr/local
CONFIGURE_SYSCONDIR = /usr/local/etc
CPP = gcc -E
CPPFLAGS =  -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include  -D__SCFILENAME__=\"$(*F)\"
CSCOPE = cscope
CTAGS = ctags
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
GREP = /usr/bin/grep
HAVE_COCCINELLE_CONFIG = no
HAVE_CURL = /usr/bin/curl
HAVE_CYGPATH = no
HAVE_GETCONF_CMD = /usr/bin/getconf
HAVE_GIT_CMD = /usr/bin/git
HAVE_PCAP_CONFIG = 
HAVE_PDFLATEX = /usr/bin/pdflatex
HAVE_PKG_CONFIG = /usr/bin/pkg-config
HAVE_PYTHON = /usr/bin/python3
HAVE_WGET = no
HWLOC_CFLAGS = 
HWLOC_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -rdynamic
LIBOBJS = 
LIBS = -llz4 -lmagic -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lpcre2-8  -lz -lpcap 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_FUZZING_ENGINE = 
LIPO = 
LLC = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAJOR_MINOR = 8.0
MAKEINFO = ${SHELL} '/builds/dev/suricata/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NDPI_LIB = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPTIMIZATION_CFLAGS = -march=native
OTOOL = 
OTOOL64 = 
PACKAGE = suricata
PACKAGE_BUGREPORT = 
PACKAGE_NAME = suricata
PACKAGE_STRING = suricata 8.0.0
PACKAGE_TARNAME = suricata
PACKAGE_URL = 
PACKAGE_VERSION = 8.0.0
PATH_SEPARATOR = :
PCAP_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include 
PCAP_LIBS = -lpcap 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POW_LIB = 
RANLIB = ranlib
RELEASE_DATE = 2025-07-08
RUSTC = /root/.cargo/bin/rustc
RUSTUP_HOME_PATH = /root/.rustup
RUST_FEATURES = 
RUST_LDADD = -ldl -lrt -lm
RUST_SURICATA_LIB = ../rust/target/release/libsuricata_rust.a
RUST_SURICATA_LIBDIR = ../rust/target/release
RUST_SURICATA_LIBNAME = libsuricata_rust.a
SECCFLAGS = 
SECLDFLAGS = 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
SPHINX_BUILD = /usr/bin/sphinx-build
STRIP = strip
SURICATA_UPDATE_DIR = suricata-update
VERSION = 8.0.0
abs_builddir = /builds/dev/suricata/rust/sys
abs_srcdir = /builds/dev/suricata/rust/sys
abs_top_builddir = /builds/dev/suricata
abs_top_srcdir = /builds/dev/suricata
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
e_datadir = /usr/local/var/lib/suricata/data
e_datarulesdir = /usr/local/share/suricata/rules
e_defaultruledir = /usr/local/var/lib/suricata/rules
e_enable_evelog = yes
e_localstatedir = /usr/local/var/run/suricata
e_logcertsdir = /usr/local/var/log/suricata/certs
e_logdir = /usr/local/var/log/suricata/
e_logfilesdir = /usr/local/var/log/suricata/files
e_magic_file = 
e_magic_file_comment = #
e_rundir = /usr/local/var/run/
e_rustdir = /builds/dev/suricata/rust
e_sghcachedir = /usr/local/var/lib/suricata/cache/sgh
e_sysconfdir = /usr/local/etc/suricata/
exec_prefix = ${prefix}
have_rustup = /root/.cargo/bin/rustup
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /builds/dev/suricata/install-sh
install_suricata_update_reason = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libhs_CFLAGS = 
libhs_LIBS = 
libnetfilter_queue_CFLAGS = 
libnetfilter_queue_LIBS = 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
napatech_comment = #
ndpi_comment = #
oldincludedir = /usr/include
pdfdir = ${docdir}
pfring_comment = #
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
rust_vendor_comment = # 
rustup_home = RUSTUP_HOME=$(RUSTUP_HOME_PATH)
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = Cargo.toml
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu rust/sys/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu rust/sys/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
Cargo.toml: $(top_builddir)/config.status $(srcdir)/Cargo.toml.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

=== debian/changelog ===
suricata (1:8.0.0-1~exp1) experimental; urgency=medium

  [ Andreas Dolp ]
  * New upstream release.
  * Remove libhtp dependency as this is now built in Suricata.
  * Remove LUA as this is now built in Suricata.
  * Bump versioned Rust dependency to 1.75.0 or later.
  * Remove recommended package snort-rules-default.
  * Remove Python3 dependencies.
  * Add libunwind-dev build dependency.
  * Refresh Debian patches.
  * Use systemd service Type=notify for systemd status notification.
  * Remove libnss compile option and dependency.
  * Remove libnspr compile option and dependency.
  * Remove enable-libhs compile option.
  * Add d/suricata.conffiles to remove sysv init conffiles.
  * Align rundir and unix command socket to upstream /var/run/suricata/.
  * Run Suricata as user suricata. (Closes: #836929, #1109307)
  * Add configuration for landlock LSM security sandbox, but disabled by
    default.

  [ Sascha Steinbiss ]
  * Remove sysv init support.
  * Adjust README.Debian to mention systemd drop-in approach to
    customize ExecStart parameters without having to clone the
    packaged unit file.
  * Remove unneeded ISC license text from d/copyright.
  * Add NEWS.Debian file documenting the change.

 -- Andreas Dolp <dev@andreas-dolp.de>  Wed, 20 Aug 2025 21:55:13 +0200

=== debian/control ===
Source: suricata
Section: net
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 13),
               libbpf-dev (>= 1:0.7.0) [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
               clang [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
               llvm [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
               libcap-ng-dev,
               libelf-dev [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
               libevent-dev,
               libgeoip-dev,
               libhiredis-dev,
               libjansson-dev,
               libhyperscan-dev (>= 4.4.0) [i386 amd64 x32],
               rustc (>= 1.75.0),
               cargo (>= 0.29.0),
               liblz4-dev,
               libmagic-dev,
               libmaxminddb-dev,
               libnet1-dev | libnet-dev,
               libnetfilter-log-dev,
               libnetfilter-queue-dev,
               libpcap-dev,
               libpcre2-dev,
               libyaml-dev,
               zlib1g-dev | libz-dev,
               procps,
               dpdk-dev [amd64 arm64 riscv64 ppc64el],
               libnuma-dev [amd64 arm64 riscv64 ppc64el],
               libunwind-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://suricata.io
Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata
Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata.git

Package: suricata
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser (>= 3.138)
Conflicts: suricata-hyperscan
Replaces: suricata-hyperscan
Recommends: suricata-update
Suggests: libtcmalloc-minimal4
Description: Next Generation Intrusion Detection and Prevention Tool
 Suricata is a network Intrusion Detection System (IDS). It is based on
 rules (and is fully compatible with snort rules) to detect a variety of
 attacks / probes by searching packet content.
 .
 It can also be used as Intrusion Prevention System (IPS), and as higher layer
 firewall.
 .
 This new Engine supports Multi-Threading, Automatic Protocol Detection
 (IP, TCP, UDP, ICMP, HTTP, TLS, FTP and SMB), Gzip Decompression, Fast
 IP Matching and coming soon hardware acceleration on CUDA and OpenCL GPU
 cards.
 .
 This version has inline (NFQUEUE) support enabled.

=== debian/rules ===
#!/usr/bin/make -f

# verbose mode
export DH_VERBOSE=1

SURICATA_DESTDIR = $(CURDIR)/debian/tmp
export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow
export CARGO_HOME = $(CURDIR)/debian/cargohome

include /usr/share/dpkg/architecture.mk

# workaround for linking issue on some archs
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--allow-multiple-definition
EXTRA_ATOMIC_ARCHS = armel mipsel powerpc
ifneq (,$(findstring $(DEB_HOST_ARCH),$(EXTRA_ATOMIC_ARCHS)))
	DEB_LDFLAGS_MAINT_APPEND +=  -Wl,--no-as-needed -Wl,-latomic -Wl,--as-needed
	export DEB_LDFLAGS_MAINT_APPEND
endif

EBPF_ARCHS = amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32
DPDK_ARCHS = amd64x arm64x riscv64x ppc64elx

ifneq (,$(findstring $(DEB_HOST_ARCH)x,$(DPDK_ARCHS)))
	ENABLE_DPDK="--enable-dpdk"
endif

CI ?= $(shell $(CURDIR)/debian/building-in-ci.sh)
ifeq ($(CI),true)
        ENABLE_UNITTESTS="--enable-unittests"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),$(EBPF_ARCHS)))
	ENABLE_EBPF=--enable-ebpf --enable-ebpf-build \
		--with-ebpf-includes=/usr/include/$(DEB_HOST_MULTIARCH)
endif

CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-nflog \
	--enable-gccprotect --disable-gccmarch-native \
	--with-libevent-includes=/usr/include --with-libevent-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--with-libhs-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--disable-coccinelle \
	--enable-geoip --enable-hiredis \
	--disable-suricata-update \
	$(ENABLE_UNITTESTS) \
	$(ENABLE_EBPF) \
	$(ENABLE_DPDK)

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_auto_build:
	uname -a
	mkdir -p $(CARGO_HOME)
	dh_auto_build

override_dh_auto_clean:
	rm -rf $(CARGO_HOME)
	rm -f debian/suricata.substvars

override_dh_auto_install:
	dh_auto_install --destdir=$(SURICATA_DESTDIR)
	# clean upstream install documentation
	rm -rf $(SURICATA_DESTDIR)/usr/share/doc/suricata/*
	$(foreach file, $(wildcard ebpf/*bpf), \
		install -D -t $(SURICATA_DESTDIR)/usr/lib/suricata/ebpf $(file) ;\
	)

override_dh_auto_test:
	# do nothing

override_dh_missing:
	dh_missing --list-missing

override_dh_gencontrol:
	dh_gencontrol

%:
	dh $@
